
dt=input('enter data column:  ');
 
tmin=input('enter minimum time slice [default 0]:  ');
if (isempty(tmin))
    tmin = 0;
endif

tmax=input('enter maximum time slice [default 10000000]:  ');
if (isempty(tmax))
    tmax = 10000000;
endif

tpause = input ('enter pause time [default 1]:  ');
if (isempty(tpause))
    tpause = 1;
endif

if (tmin < tmax)
    tinc = 1;
else
    tinc = -1;
endif

bounds = input ('enter bounds array (2X3) [default .5mm X .5mm X 2.01m]:  ');
if (isempty(bounds))
    bounds = [[-1,1]*.5*mm;[-1,1]*.5*mm;[-2*m,cm]];
endif

skip = input ('enter period of data to show [default 1 == all data]:  ');
if (isempty(skip))
    skip = 1;
endif

scale = input('enter scaling [default 1]:  ');
if (isempty(scale))
    scale =1;
endif

nscale = input('divide by number particles [0==false, default == 0]:  ');
if (isempty(nscale))
    nscale=0;
endif

dim = input('enter plot x-axis  [default == 3 == Z]:  ');
if (isempty(dim))
    dim = 3;
endif

for t=tmin:tinc:tmax;
    DR=boundeddata(iid,t,[dt 4],bounds) ;

    if (columns(DR) == 0 && rows(DR) == 0)
        x = y = 0; 
    else

        [x, ix] = sort(DR(1:skip:rows(DR),dim));
        y = ( DR( 1:skip:rows(DR),4:(columns(DR)-1) ) )(ix,:);

        if (nscale != 0)
            N = (DR(1:skip:rows(DR),columns(DR)))(ix,:);

            for c=1:columns(y)
                y(:,c) ./= N;
            end
        endif
    endif

    title(sprintf('%g ms',t));
    plot(x,y*scale);
    pause(tpause);
end
